#!/bin/bash

if [ $# -eq 0 ]
  then
    echo "No basedir supplied"
    exit 1
fi

if [ $# -eq 1 ]
  then
    echo "No branch supplied"
    exit 1
fi


BASEDIR=$1
BRANCH=$2
REPOS_FOLDER="changeset-metadata ohsome-api ohsome-parent oshdb oshdb-benchmarks oshdb-database-driver oshdb-extractor oshdb-fill-ignite-caches username-resolver oshdb-examples"
TEMPLATE=$BASEDIR/ohsome-parent/Jenkinsfile.template
DEFAULT_BRANCH="master"

for repo in $REPOS_FOLDER; do
    read -p "Press any key to diff repo $repo..."
    cd $BASEDIR/$repo \
        && git fetch \
        && git checkout $BRANCH || git checkout -b $BRANCH origin/$DEFAULT_BRANCH \
        && vimdiff $TEMPLATE Jenkinsfile \
        || $SHELL
done
